package com.ecep.contract.ds.customer.repository;

import org.springframework.stereotype.Repository;

import com.ecep.contract.CompanyCustomerFileType;
import com.ecep.contract.ds.other.repository.BaseEnumEntityRepository;
import com.ecep.contract.model.CompanyCustomerFileTypeLocal;

@Repository
public interface CompanyCustomerFileTypeLocalRepository
        extends BaseEnumEntityRepository<CompanyCustomerFileType, CompanyCustomerFileTypeLocal, Integer> {

    @Override
    default CompanyCustomerFileType[] getEnumConstants() {
        return CompanyCustomerFileType.values();
    }

    @Override
    default CompanyCustomerFileTypeLocal newEntity() {
        return new CompanyCustomerFileTypeLocal();
    }
}